local ONEFOURFIXESVER = 2
if onefourfixes == nil then
	rawset(_G, "onefourfixes", {})
end

if onefourfixes.ver == ONEFOURFIXESVER then

local ORIG_FRICTION = 62914

onefourfixes.fixFrictionShenanigans = function(mobj, player)
	local pks = player.kartstuff

	local inSlowSpinout = pks[k_spinouttimer] > 0 and pks[k_wipeoutslow] > 0
	local inPlace 		= player.speed == 0
	local inAir 		= not P_IsObjectOnGround(mobj)
	
	if inSlowSpinout and (inPlace or inAir) then
		mobj.friction = ORIG_FRICTION
	end
end

end