local ONEFOURFIXESVER = 2
if onefourfixes == nil then
	rawset(_G, "onefourfixes", {})
end

if onefourfixes.ver == ONEFOURFIXESVER then

local COOLDOWNONSTART = (30 * TICRATE) + ((6 * TICRATE) + (3 * TICRATE / 4))

onefourfixes.removeThunderShieldOnFirst20Sec = function(mobj, player)
    if leveltime >= COOLDOWNONSTART then
        return
    end
    
    local player = mobj.player
    if not player or not player.valid then return end

    if mobj.jug_previousRouletteTic ~= nil then
        if mobj.jug_previousRouletteTic > 0 and player.kartstuff[k_itemroulette] == 0 then
            if player.kartstuff[k_itemtype] == KITEM_THUNDERSHIELD then
                if CV_FindVar("kartdebugitem").value > 0 then return end -- don't mess with debugs
        
                S_StopSoundByID(mobj, sfx_s3k41)
                player.kartstuff[k_itemtype] = KITEM_ORBINAUT
                -- print("remove thunder shield")
            end
        end
    end

    mobj.jug_previousRouletteTic = player.kartstuff[k_itemroulette]
end

end